void setupCP5() {
    cp5 = new ControlP5(this);
    int d = 30;
    addToggle("toggle_1", "Film & Animation", color(#a6cee3), 15, height - d * 13);
    addToggle("toggle_10", "Music", color(#1f78b4), 15, height - d * 12);
    addToggle("toggle_15", "Pets & Animals", color(#b2df8a), 15, height - d * 11);
    addToggle("toggle_17", "Sports", color(#33a02c), 15, height - d * 10);
    addToggle("toggle_20", "Gaming", color(#fb9a99), 15, height - d * 9);
    addToggle("toggle_22", "People & Blogs", color(#e31a1c), 15, height - d * 8);
    addToggle("toggle_23", "Comedy", color(#fdbf6f), 15, height - d * 7);
    addToggle("toggle_24", "Entertainment", color(#ff7f00), 15, height - d * 6);
    addToggle("toggle_25", "News & Politics", color(#cab2d6), 15, height - d * 5);
    addToggle("toggle_26", "Howto & Style", color(#6a3d9a), 15, height - d * 4);
    addToggle("toggle_27", "Education", color(#ffff99), 15, height - d * 3);
    addToggle("toggle_28", "Science & Technology", color(#b15928), 15, height - d * 2);
    addToggle("toggle_2", "Other", color(#ffffff), 15, height - d * 1);
    cp5.setAutoDraw(false);
}

void addToggle(String toggle, String label, color c, int x, int y) {
    cp5.addToggle(toggle)
        .setPosition(x, y)
        .setColorForeground(getSemi(c))
        .setColorBackground(getSemi(c))
        .setColorActive(c)
        .setColorLabel(FONT_COLOR)
        .setSize(15, 15)
        .setLabel(label)
        .setValue(true);
}
